import { Common } from 'pc-component-v3';

/**
 * 工具类自动生成的API，请勿做任何修改，请勿做任何修改，请勿做任何修改（重要的事情说3遍）
 * 工具作者: 杨志杰
 * 数据恢复类 
 */
export default {

  /**
	 * 工具类自动生成的方法
	 * 工具作者: 杨志杰
	 * 删除草稿数据 
	 */
  deleteDataRecoveryDto: function(dataRecoveryDto){
    var requestUrl = 'DataRecoveryResource/deleteDataRecoveryDto';


    return new Promise((resolve, reject) => {
      $.ajax({
        url: Common.getApiURL(requestUrl),
        type: 'post',
        contentType: 'application/json',
				
        dataType: 'json',
        data: JSON.stringify(dataRecoveryDto),
				
        beforeSend: function(request) {
          Common.addTokenToRequest(request);
        },
        success: function(data) {
          resolve(data);
        },
        error: function(XMLHttpRequest, textStatus, errorThrown) {
          reject(XMLHttpRequest);
        },
      });
    });
  },

  /**
	 * 工具类自动生成的方法
	 * 工具作者: 杨志杰
	 * 查询草稿数据 
	 */
  queryDataRecoveryDtoByUserId: function(windowId, type){
    var requestUrl = 'DataRecoveryResource/queryDataRecoveryDtoByUserId';
    var paramCount = 0;
    if(windowId != null){
      requestUrl += (paramCount > 0) ? '&' : '?';
      requestUrl += ('windowId=' + windowId);
      paramCount ++;
    }
    if(type != null){
      requestUrl += (paramCount > 0) ? '&' : '?';
      requestUrl += ('type=' + type);
      paramCount ++;
    }


    return new Promise((resolve, reject) => {
      $.ajax({
        url: Common.getApiURL(requestUrl),
        type: 'get',
        contentType: 'application/json',
				
        dataType: 'json',
				
				
        beforeSend: function(request) {
          Common.addTokenToRequest(request);
        },
        success: function(data) {
          resolve(data);
        },
        error: function(XMLHttpRequest, textStatus, errorThrown) {
          reject(XMLHttpRequest);
        },
      });
    });
  },

  /**
	 * 工具类自动生成的方法
	 * 工具作者: 杨志杰
	 * 保存草稿数据 
	 */
  saveDataRecoveryDto: function(dataRecoveryDto){
    var requestUrl = 'DataRecoveryResource/saveDataRecoveryDto';


    return new Promise((resolve, reject) => {
      $.ajax({
        url: Common.getApiURL(requestUrl),
        type: 'post',
        contentType: 'application/json',
				
        dataType: 'json',
        data: JSON.stringify(dataRecoveryDto),
				
        beforeSend: function(request) {
          Common.addTokenToRequest(request);
        },
        success: function(data) {
          resolve(data);
        },
        error: function(XMLHttpRequest, textStatus, errorThrown) {
          reject(XMLHttpRequest);
        },
      });
    });
  },
};
